%global pypi_name weasyprint

Name:           python-weasyprint
Version:        64.0
Release:        %mkrel 2
Group:          Development/Python
Summary:        WeasyPrint converts web documents to PDF

License:        MIT
URL:            https://pypi.org/project/weasyprint
Source0:        %pypi_source
BuildArch:      noarch

%description
WeasyPrint converts web documents to PDF.

%package -n python3-weasyprint
Summary:        WeasyPrint converts web documents to PDF
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest-runner)
Provides:       weasyprint = %{version}-%{release}

%description -n python3-weasyprint
WeasyPrint converts web documents to PDF.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files weasyprint

%files -n python3-weasyprint -f %{pyproject_files}
%doc README*
%{_bindir}/weasyprint


%changelog
* Mon Mar 03 2025 wally <wally> 64.0-2.mga10
+ Revision: 2160181
- rebuild for python3.13

* Thu Jan 30 2025 daviddavid <daviddavid> 64.0-1.mga10
+ Revision: 2143658
- new version: 64.0

* Fri Jul 12 2024 daviddavid <daviddavid> 62.3-1.mga10
+ Revision: 2080822
- new version: 62.3

* Fri Dec 29 2023 tv <tv> 48-8.mga10
+ Revision: 2023491
- Rebuild for python-3.12

* Sun Mar 27 2022 umeabot <umeabot> 48-7.mga9
+ Revision: 1828874
- Mageia 9 Mass Rebuild

* Fri Feb 18 2022 mrambo3501 <mrambo3501> 48-6.mga9
+ Revision: 1781134
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 48-5.mga9
+ Revision: 1733255
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 48-4.mga8
+ Revision: 1532723
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 tv <tv> 48-3.mga8
+ Revision: 1442910
- rebuild for python-3.8

* Mon Sep 16 2019 daviddavid <daviddavid> 48-2.mga8
+ Revision: 1442464
- rebuild for python3.8

* Sat Aug 31 2019 daviddavid <daviddavid> 48-1.mga8
+ Revision: 1435822
- new version: 48

* Mon Feb 04 2019 wally <wally> 44-1.mga7
+ Revision: 1363164
- new version 44
- upstream supports only python3

* Tue Jan 08 2019 tv <tv> 0.24-5.mga7
+ Revision: 1352382
- rebuild with python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 0.24-4.mga7
+ Revision: 1290559
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.24-3.mga7
+ Revision: 1135687
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 0.24-2.mga6
+ Revision: 971004
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 daviddavid <daviddavid> 0.24-1.mga6
+ Revision: 888952
- new version: 0.24 + rebuild for python 3.5
- use new python macros
- add doc files

* Wed Oct 15 2014 umeabot <umeabot> 0.19.2-5.mga5
+ Revision: 750747
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.19.2-4.mga5
+ Revision: 729966
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.19.2-3.mga5
+ Revision: 688413
- Mageia 5 Mass Rebuild

* Mon Jun 02 2014 philippem <philippem> 0.19.2-2.mga5
+ Revision: 630659
- fix files list
+ pterjan <pterjan>
- Rebuild for new Python

* Thu Oct 31 2013 neoclust <neoclust> 0.19.2-1.mga4
+ Revision: 548104
- imported package python-weasyprint

